Subject: Re: bug#76691: `display-monitor-attributes-list` not working properly on macOS

From: Ruiyang Wu <[email-masked]>
Date: Mon, 7 Apr 2025 01:10:49 -0400

Hi all,

How can we move this forward? It would be great to see Ship Mints' patch merged to master and backported to emacs-30.

Best,
Ruiyang

> On Mar 16, 2025, at 5:42 PM, Ship Mints <[email-masked]> wrote:
> 
> On Thu, Mar 6, 2025 at 8:27 AM Robert Pluim <[email-masked] <mailto:[email-masked]>> wrote:
>> >>>>> On Thu, 6 Mar 2025 06:19:25 -0500, Ship Mints <[email-masked] <mailto:[email-masked]>> said:
>> 
>>     Ship> Right. I'd changed the last patch to xstrdup.
>> 
>> OK
>> 
>>     Ship> Do you have a monitor for which macOS has no name that caused the fallback
>>     Ship> to be invoked?
>> 
>> I donʼt, although it works fine if I comment out the localizeName
>> code.
> 
> Fixed in the last version of the patch; I used xstrdup.
> 
> Anything else needed for this before we can install it?